curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/mounted-datasets/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/mounted-datasets/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/mounted-datasets/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the datasets of the project and region, newest first, each marked is_mounted when it is mounted on this Virtual Machine. is_available_to_mount is false for a disk dataset mounted on any VM, and for an object-storage dataset already mounted on this one.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Instance ID
Query Parameters
Section titled “Query Parameters”Project ID
Return only the mounted or only the unmounted datasets.
The page number from which you want your page search results to be displayed.
Number of results per page
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Responses
Section titled “Responses”The datasets
object
object
pvc is a disk dataset. e2e_s3 and managed are object storage.
true for an e2e_s3 or managed dataset, which mounts read-only.
The object storage bucket behind the dataset.
object
object
Example
{ "code": 200, "message": "Success", "data": [ { "id": 301, "name": "train-data", "storage_type": "e2e_s3", "is_mounted": true, "is_available_to_mount": false, "read_only": true, "encryption_type": "sse-s3", "encryption_enable": false, "created_at": "2026-10-01T08:00:00Z" } ], "errors": {}}No VM with that ID in the project and region.
object
object
Example
{ "code": 404, "message": "Bad Request", "data": {}, "errors": "Invalid Request! Notebook not found"}